#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/newcs.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego newcs"
  info2="Kasowanie newcs"
  info3="Pobieranie nowego newcs"
  info4="Ustawienie uprawnien"
  info5="newcs pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="newcs is stopping..."
  info2="Deleting newcs"
  info3="Downloading newcs"
  info4="Setting rights"
  info5="newcs downloaded!"
  info6="Installation error!"

elif [ $lang == ar ]; then

  info1="newcs إيقاف"
  info2="newcs حذف"
  info3="newcs تحميل"
  info4="إعطاء التصريح"
  info5="newcs تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"

elif [ $lang == fr ]; then

  info1="Newcs est arrete..."
  info2="supprimer Newcs"
  info3="Telechargement de Newcs"
  info4="Permission de fichier"
  info5="Newcs telecharges!"
  info6="Erreur dans la installation!"
  
elif [ $lang == de ]; then

  info1="Stoppe newcs"
  info2="Losche newcs"
  info3="Lade newcs"
  info4="Attribute werden zugeteilt"
  info5="Newcs geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="Newcs e' in arresto"
  info2="Eliminazione Newcs ..."
  info3="Newcs in download..."
  info4="Impostazioni in corso ..."
  info5="Newcs scaricato!"
  info6="Errore durante l'installazione!"    

elif [ $lang == es ]; then
  info1="newcs se esta parando..."
  info2="newcs se esta borrando"
  info3="newcs se esta descargando"
  info4="Estableciendo derechos"
  info5="newcs Descargado e Instalado!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $newcs == on ]; then
    echo $info1
    killall -15 newcs 2>/dev/null
    sleep 3
 fi

 if [ -s /var/bin/newcs ] ; then
    echo $info2
    rm /var/bin/newcs 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/newcs -q -O /var/bin/newcs 2>/dev/null
  sync
sleep 5

 if [ -s /var/bin/newcs ] ; then
    echo $info4
    chmod 755 /var/bin/newcs
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""
 
exit 0